/* globals beforeAll, browser */
'use strict';

var del = require('del');
var path = require('path');


var User = require('./user');
var user = new User();

// beforeAll(function(){
//     browser.deleteAllCookies(); 
// });
beforeAll(function() {
	var folder, filesToExclude;

	folder = path.resolve(__dirname, '../screenshots');
	filesToExclude = path.resolve(folder, 'index.html');

	del.sync([folder + '/*.png']);
	
	return user.login('wisse@wonderflow.co', 'wisse2015')
		// .then(function() {
		// 	console.log('Maximize window to',1280, 800);
		// 	return browser.driver.manage().window().setSize(1280, 800);
		// })
		// .then(function() {
		// 	console.log('Waiting for 2 secs');
		// 	return browser.sleep(2 * 1000);
		// });

});